# Firmendaten aktualisieren

`PUT https://{tenant}.stamp.eu/rest/payroll/company`

## Request-Body

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `company_name` | string \| null | nein |  |
| `company_number` | string \| null | nein |  |
| `establishment_number` | string \| null | nein |  |
| `trade_association_pin` | string \| null | nein |  |
| `collective_agreement` | string \| null | nein |  |
| `social_fund_name` | string \| null | nein |  |
| `social_fund_contribution_number` | string \| null | nein |  |
| `apportionment_required` | boolean \| null | nein |  |
| `tax_office` | string \| null | nein |  |
| `tax_number` | string \| null | nein |  |
| `registration_period` | `monthly`, `quarterly`, `yearly` \| null | nein |  |
| `causer_company_number` | string \| null | nein | eAU Absenderdaten |
| `contact_name` | string \| null | nein |  |
| `contact_phone` | string \| null | nein |  |
| `contact_email` | string \| null | nein |  |
| `address_street` | string \| null | nein |  |
| `address_house_number` | string \| null | nein |  |
| `address_postal_code` | string \| null | nein |  |
| `address_city` | string \| null | nein |  |

## Antworten

### 200: `PayrollCompanySettingsResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object | ja |  |
| `data.id` | string | ja |  |
| `data.company_name` | string | ja |  |
| `data.company_number` | string | ja |  |
| `data.establishment_number` | string | ja |  |
| `data.trade_association_pin` | string | ja |  |
| `data.collective_agreement` | string | ja |  |
| `data.social_fund_name` | string | ja |  |
| `data.social_fund_contribution_number` | string | ja |  |
| `data.apportionment_required` | string | ja |  |
| `data.tax_office` | string | ja |  |
| `data.tax_number` | string | ja |  |
| `data.registration_period` | string | ja |  |
| `data.causer_company_number` | string | ja | eAU Absenderdaten |
| `data.contact_name` | string | ja |  |
| `data.contact_phone` | string | ja |  |
| `data.contact_email` | string | ja |  |
| `data.address_street` | string | ja |  |
| `data.address_house_number` | string | ja |  |
| `data.address_postal_code` | string | ja |  |
| `data.address_city` | string | ja |  |
| `data.updated_at` | string | ja |  |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
